Show / Hide Table of Contents

# Class AudioStream

##### Inheritance

System.Object
System.MarshalByRefObject
System.IO.Stream
AudioStream
AudioInStream
AudioOutStream

##### Implements

System.IDisposable

##### Inherited Members

System.IO.Stream.Null
System.IO.Stream.CopyToAsync(System.IO.Stream)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.CopyTo(System.IO.Stream)
System.IO.Stream.CopyTo(System.IO.Stream, System.Int32)
System.IO.Stream.Close()
System.IO.Stream.Dispose()
System.IO.Stream.Dispose(System.Boolean)
System.IO.Stream.FlushAsync()
System.IO.Stream.FlushAsync(System.Threading.CancellationToken)
System.IO.Stream.CreateWaitHandle()
System.IO.Stream.BeginRead(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndRead(System.IAsyncResult)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.BeginWrite(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndWrite(System.IAsyncResult)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.ReadByte()
System.IO.Stream.WriteByte(System.Byte)
System.IO.Stream.Synchronized(System.IO.Stream)
System.IO.Stream.ObjectInvariant()
System.IO.Stream.CanTimeout
System.IO.Stream.ReadTimeout
System.IO.Stream.WriteTimeout
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.CreateObjRef(System.Type)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Audio

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public abstract class AudioStream : Stream, IDisposable

### Properties

| Improve this Doc View Source

#### CanRead

##### Declaration

    public override bool CanRead { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.IO.Stream.CanRead
| Improve this Doc View Source

#### CanSeek

##### Declaration

    public override bool CanSeek { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.IO.Stream.CanSeek
| Improve this Doc View Source

#### CanWrite

##### Declaration

    public override bool CanWrite { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.IO.Stream.CanWrite
| Improve this Doc View Source

#### Length

##### Declaration

    public override long Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

##### Overrides

System.IO.Stream.Length

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Reading stream length is not supported.

| Improve this Doc View Source

#### Position

##### Declaration

    public override long Position { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

##### Overrides

System.IO.Stream.Position

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Getting or setting this stream position is not supported.

### Methods

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### ClearAsync(CancellationToken)

##### Declaration

    public virtual Task ClearAsync(CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### Flush()

##### Declaration

    public override void Flush()

##### Overrides

System.IO.Stream.Flush()
| Improve this Doc View Source

#### Read(Byte[], Int32, Int32)

##### Declaration

    public override int Read(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | buffer |
System.Int32 | offset |
System.Int32 | count |

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.IO.Stream.Read(System.Byte[], System.Int32, System.Int32)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Reading this stream is not supported.

| Improve this Doc View Source

#### Seek(Int64, SeekOrigin)

##### Declaration

    public override long Seek(long offset, SeekOrigin origin)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | offset |
System.IO.SeekOrigin | origin |

##### Returns

Type | Description
--- | ---
System.Int64 |

##### Overrides

System.IO.Stream.Seek(System.Int64, System.IO.SeekOrigin)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Seeking this stream is not supported..

| Improve this Doc View Source

#### SetLength(Int64)

##### Declaration

    public override void SetLength(long value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | value |

##### Overrides

System.IO.Stream.SetLength(System.Int64)

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Setting the length to this stream is not supported.

| Improve this Doc View Source

#### Write(Byte[], Int32, Int32)

##### Declaration

    public override void Write(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | buffer |
System.Int32 | offset |
System.Int32 | count |

##### Overrides

System.IO.Stream.Write(System.Byte[], System.Int32, System.Int32)
| Improve this Doc View Source

#### WriteHeader(UInt16, UInt32, Boolean)

##### Declaration

    public virtual void WriteHeader(ushort seq, uint timestamp, bool missed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | seq |
System.UInt32 | timestamp |
System.Boolean | missed |

##### Exceptions

Type | Condition
--- | ---
System.InvalidOperationException | This stream does not accept headers.

### Implements

System.IDisposable